com.holonplatform.datastore.mongo.core.internal

## Class DefaultBsonSort

- java.lang.Object
- - com.holonplatform.datastore.mongo.core.internal.DefaultBsonSort

- All Implemented Interfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.query.QuerySort, BsonSort, Serializable

      public class DefaultBsonSort
      extends Object
      implements BsonSort

  Default `BsonSort` implementation.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QuerySort

      `com.holonplatform.core.query.QuerySort.CompositeQuerySort, com.holonplatform.core.query.QuerySort.PathQuerySort<T>, com.holonplatform.core.query.QuerySort.QuerySortResolver<T extends com.holonplatform.core.query.QuerySort>, com.holonplatform.core.query.QuerySort.QuerySortSupport<C extends com.holonplatform.core.query.QuerySort.QuerySortSupport<C>>, com.holonplatform.core.query.QuerySort.SortDirection`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBsonSort(org.bson.conversions.Bson bson)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bson.conversions.Bson` | `getBson()` Get the sort expression as a `Bson` expression.
    `void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.BsonSort

      `create`

    - ### Methods inherited from interface com.holonplatform.core.query.QuerySort

      `and, asc, desc, of, of, of, of`

- - ### Constructor Detail

    - #### DefaultBsonSort

          public DefaultBsonSort(org.bson.conversions.Bson bson)

      Constructor.
      Parameters:
        `bson` - Sort expression

  - ### Method Detail

    - #### getBson

          public org.bson.conversions.Bson getBson()

      Description copied from interface: `BsonSort`
      Get the sort expression as a `Bson` expression.
      Specified by:
        `getBson` in interface `BsonSort`
      Returns:
        `Bson` sort expression (must be not null)

    - #### validate

          public void validate()
                        throws com.holonplatform.core.Expression.InvalidExpressionException

      Specified by:
        `validate` in interface `com.holonplatform.core.Expression`
      Throws:
        `com.holonplatform.core.Expression.InvalidExpressionException`

Copyright © 2019 The Holon Platform. All rights reserved.